# Lib: Processable

## [56](https://github.com/p3lim-wow/LibProcessable/tree/56) (2022-10-03)
[Full Changelog](https://github.com/p3lim-wow/LibProcessable/commits/56) [Previous Releases](https://github.com/p3lim-wow/LibProcessable/releases)

- Update version  
- Update Interface version (#51)  
    Co-authored-by: p3lim <p3lim@users.noreply.github.com>  
- Fix for invalid professions on classic  
- Drop duplicate classic checks  
- Add check for classic/tbc/wrath professions  
    They don't have any of the tradeskill API.  
    Ref p3lim-wow/Molinari#67  
- Update README  
- Lint pass  
- Add preliminary support for Dragonflight  
- Add support for Kevin's Keyring  
- Add support for wrath  
    Ref p3lim-wow/Molinari#67  
- Update IsMillable docs to match signature  
- Use skill level to determine prospectable state  
- Use skill level to determine millable state  
- Fix laestrite skeleton key lockpick level  
- Fix inscription item lockpick level  
- Use skill level to check if the item can be opened  
    This changes the signature of IsOpenableProfession  
- Gather skill levels on both classic and retail  
    Fixes #14  
- Expose profession skill lines  
    These will come in handy later  
- Add note on how we gather the profession categories  
- Merge the data tables and use expansion enums  
- Key profession categories using existing enums  
- Make data private to avoid manipulation  
- Added skill for inscription in for Classic (#50)  
- Update Interface version (#49)  
    Co-authored-by: p3lim <p3lim@users.noreply.github.com>  
- Don't load libs in dev  
- Update version  
- Bump packager, dropping specific game versions  
- Use multitoc only, and update suffixes  
- Update Interface version (#48)  
    Co-authored-by: p3lim <p3lim@users.noreply.github.com>  
- Update Interface version (#47)  
    Co-authored-by: p3lim <p3lim@users.noreply.github.com>  
- Update Interface version (#44)  
    Co-authored-by: p3lim <p3lim@users.noreply.github.com>  
- Update license (#46)  
    Co-authored-by: p3lim <p3lim@users.noreply.github.com>  
- Update version  
- Add 9.2 items  
- Add lockboxes added in 9.1  
- Shadowlands lockboxes were renamed at some point  
- Fix ID for Tiny Titanium Lockbox  
    Fixes #45  
- Update tag  
- Update Interface version (#43)  
    Co-authored-by: p3lim <p3lim@users.noreply.github.com>  
- Update Interface version (#42)  
    Co-authored-by: p3lim <p3lim@users.noreply.github.com>  
- We no longer need to authenticate to use the version action  
- Update Interface version (#41)  
    Co-authored-by: p3lim <p3lim@users.noreply.github.com>  
- Update tag  
- Fix matching against shirts  
- Fix matching against 2h maces  
- Update version update workflow  
- Update version  
- Split TOC files and update release workflow  
- Update Interface version (#38)  
    Co-authored-by: p3lim <p3lim@users.noreply.github.com>  
- Fix sparse changelogs on releases  
- Update version  
- Create a valid index on classic when jewelcraft doesn't exist  
    Fixes p3lim-wow/Molinari#55  
- Update workflows and add BCC  
- Update version  
- Add BCC prospecting support and update lockboxes  
- Update Classic Interface version  
    # Conflicts:  
    #	LibProcessable.toc  
- Add BCC support  
- Update Interface version (#37)  
    Co-authored-by: p3lim <p3lim@users.noreply.github.com>  
- Update workflows  
- Update Interface version layout  
- Shirts and cosmetics cannot be disenchanted  
- Update license (#36)  
    Co-authored-by: p3lim <p3lim@users.noreply.github.com>  
- Update version  
- Add support for disenchanting Shadowlands profession world quest items  
- Update version  
- Update Interface version  
- Make sure the item is valid  
    Fixes #35  
- Update version  
- Add all lockboxes, regardless of availability  
    Some thought to be unobtainable are still being found by players,  
    so just add them all to be safe.  
    Also sorted the list.  
    Fixes p3lim-wow/Molinari#47  
- Update version  
- Fix indentation  
- Update lockboxes and profession picks  
- Update docs with notes  
- Update version  
- Update Interface version (again)  
- Clean up pkgmeta  
- Dump a diff before we try to push docs  
- Update version  
- Fix IsOpenable itemLink support  
- Add engineering "lockpicks"  
- Adjust for Shadowlands lockpick levels  
    Some are still missing info for  
- Update/add commends and generalize the lockpick functions  
- Update docs workflow  
- Update license (#34)  
    Co-authored-by: p3lim <p3lim@users.noreply.github.com>  
- Add license updater workflow  
- Add alpha artifact workflow  
- Update release workflow, publish to GitHub  
- Update issue templates  
- Update Interface version  
- Add note for later  
- Add Shadowlands items  
- Add missing older profession categories  
- Add Shadowlands profession categories  
- Drop the symlinks, filter lua errors instead  
- Update version  
- Fix release for retail  
- Use latest packager  
- Remove artifacts from an even older build system  
- Update version  
- Add fallback values for Shadowlands  
